Malipo ya akaunti
GET https://qrcodemonkey.net/api/payments/
curl --request GET \
--url 'https://qrcodemonkey.net/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| Vigezo | Maelezo | Maelezo |
|---|---|---|
| processor | Hiari Uzi | Thamani zilizoruhusiwa: paypal , stripe , offline_payment , payu , iyzico , paystack , razorpay , mollie , yookassa , crypto_com , paddle , paddle_billing , mercadopago , midtrans , flutterwave , lemonsqueezy , myfatoorah , klarna , plisio , revolut |
| status | Hiari Uzi | Thamani zilizoruhusiwa: paid , pending , cancelled , refunded |
| type | Hiari Uzi | Thamani zilizoruhusiwa: one_time , recurring |
| frequency | Hiari Uzi | Thamani zilizoruhusiwa: monthly , quarterly , biannual , annual , lifetime |
| order_by | Hiari Uzi | Ni uwanja upi wa kuagiza matokeo kwa. Thamani zilizoruhusiwa ni: id , datetime , total_amount. |
| order_type | Hiari Uzi | Utaratibu wa matokeo. Thamani zilizoruhusiwa ni: ASC kwa utaratibu unaopanda, na DESC kwa utaratibu unaoshuka. |
| page | Hiari Integer | Ukurasa wa nambari unayotaka matokeo kutoka. Chaguo-msingi ni 1. |
| results_per_page | Hiari Integer | Unataka matokeo mangapi kwa kila ukurasa. Thamani zilizoruhusiwa ni: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Chaguo-msingi ni 25. |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "[email protected]",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-03-31 23:47:53",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcodemonkey.net/api/payments?page=1",
"last": "https://qrcodemonkey.net/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://qrcodemonkey.net/api/payments?page=1"
}
}
GET https://qrcodemonkey.net/api/payments/{payment_id}
curl --request GET \
--url 'https://qrcodemonkey.net/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "[email protected]",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-03-31 23:47:53",
}
}